<script setup lang="ts">
import { useSalaryStore } from '@/stores/salary'
import { useUserStore } from '@/stores/user'
import { ref } from 'vue'
import { useCheckInStore } from '@/stores/checkIn';
import { useAuthStore } from '@/stores/auth';
import type { Salary } from '@/types/Salary';
const authStore = useAuthStore()
const checkInStore = useCheckInStore()
const salaryStore = useSalaryStore()
const userStore = useUserStore()
const form = ref(false)
const loading = ref(false)
const nostatus = ref(false)
const nosalarybaht = ref(false)


function save() {

  checkpay(salaryStore.editedsalary)

  salaryStore.clearSalary()
  salaryStore.dialog = !salaryStore.dialog
}
function checkpay(s: Salary) {
  const index = salaryStore.salarys.findIndex((item1) => item1.idSalary === s.idSalary)
  s.status = "Paid"
  salaryStore.salarys[index].status = s.status
}

function onSubmit() {
  form.value
}
</script>
<template>
  <v-dialog v-model="salaryStore.dialog" persistent width="1024">
    <v-card>
      <v-card-title>
        <span class="text-h5">Salary</span>
      </v-card-title>
      <v-card-text>
        <!-- <v-form ref="refForm" @submit.prevent="onSubmit"> -->
        <v-table class="ma-2 rounded-xl">
          <thead>
            <tr>
              <th class="text-center">DATE</th>
              <th class="text-center">NAME</th>
              <th class="text-center">TIME IN</th>
              <th class="text-center">TIME OUT</th>
              <th class="text-center">TOTAL HOUR</th>
              <th class="text-center">Total</th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(item) of salaryStore.editedsalarys" :key="item.idSalary">
              <td class="text-center">
                {{ item.month }}
              </td>
              <td class="text-center">
                {{ item.user!.fullname }}
              </td>
              <td class="text-center">
                {{ item.checkin?.in }}
              </td>
              <td class="text-center">
                {{ item.checkin?.out }}
              </td>
              <td class="text-center">
                {{ item.checkin?.hour }}
              </td>
              <td class="text-center">
                {{ item.checkin?.total }}
              </td>
            </tr>
          </tbody>
        </v-table>
        <!-- </v-form> -->
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn color="blue-darken-1" variant="text" @click="salaryStore.closeDialog()">
          Close
        </v-btn>
        <v-btn color="blue-darken-1" variant="text" @click="save()"> Pay </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
  <v-dialog v-model="nosalarybaht" width="250">
    <template v-slot:default="{ isActive }">
      <v-card title="Warning">
        <v-card-text> Please enter a number. </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" color="red" @click="isActive.value = false"></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
  <v-dialog v-model="nostatus" width="250">
    <template v-slot:default="{ isActive }">
      <v-card title="Warning">
        <v-card-text> Please enter status. </v-card-text>

        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" color="red" @click="isActive.value = false"></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>
